Release

  1. RBS Change 3.7 compatible avec PHP 7.2

    Écrit par RBS Change - 11/10/2018 06:00 - Aucun commentaire

    La première version stable de PHP 7 est désormais disponible depuis un peu moins de 2 ans, offrant à ce jour une version stable 7.2, intégrant les optimisations de performances de PHP7, ainsi que de nombreuses améliorations des 2 versions stables précédentes.

    De plus, cette version PHP 7.2 bénéficie d'un support actif jusqu'à fin 2019 (correctifs de bugs) et de sécurité jusqu'à fin 2020.

    Nous avons aujourd'hui le plaisir de vous annoncer la compatibilité de la version (en bêta) 3.7 de RBS Change, compatible avec PHP 7.2.

    Les benchmarks réalisés sur une version e-commerce native de RBS Change font apparaître un gain allant jusqu'à -50% sur le temps de rendu des pages, en comparaison avec la version 3.6 sous PHP 5.

    A noter que bien que le code PHP 5 soit quasi-intégralement compatible avec PHP 7, il pourra être nécessaire d'adapter des développements spécifiques.

    Cette nouvelle version peut d'ores et déjà être testée ici : https://github.com/RBSChange/Change/tree/3.7.

    Vous souhaitez migrer votre projet RBS Change 3.6 existant vers PHP 7 ? Contactez-nous à rbschange@clickandmortar.fr

    Rappel : avant toute mise à jour, il est impératif de faire une sauvegarde de votre système.

    En cas de problèmes ou de questions, merci d'utiliser les Forums.

    L'équipe RBS Change
  2. RBS Change 3.5.12 et 3.6.9 disponibles au téléchargement

    Écrit par RBS Change - 18/11/2015 09:00 - Aucun commentaire

    Les versions correctives pour RBS Change 3.5 et 3.6 sont maintenant disponibles.
    Il s'agit de mises à jour mineures.

    Version 3.5.12 :
    Version 3.6.9 :
    Vous trouverez deux installeurs web pour la version majeure courante (3.6.9) contenant :
    - Les modules open source minimum : RBS Change Core
    - Tous les modules open source : RBS Change complet - Open Source

    A noter : Les installeurs sont faits pour fonctionner avec 128 Mo de RAM. Cependant nous avons remarqué qu'en fonction des plateformes et de la configuration de PHP et/ou Apache, des erreurs de mémoires peuvent apparaître.

    Pour effectuer la mise à jour vers la version 3.6.9 depuis la version 3.6.8, vous disposez de 3 solutions :

    La première, recommandée, en passant par la ligne de commande ou la console web :
    - Exécuter la commande updater.migrate download : téléchargement des nouveaux packages et vérification du projet
    - Exécuter la commande updater.migrate apply : Mise à jour du projet

    La seconde en faisant une migration manuelle :
    - Télécharger la librairie de migration :
    Version 3.5.12 : http://update.rbschange.fr/libs/migration/migration-3.5.12.zip
    Version 3.6.9 : http://update.rbschange.fr/libs/migration/migration-3.6.9.zip
    - Décompresser dans le dossier migration à la racine du site
    - En vous plaçant à la racine du projet exécuter : php migration/migrate.php


    La dernière, déconseillée suite à la découverte d'un comportement aléatoire sur certains serveurs Apache, en utilisant l'interface backoffice du module Mise à jour.


    Rappel : avant toute mise à jour, il est impératif de faire une sauvegarde de votre système.

    En cas de problèmes ou de questions, merci d'utiliser les Forums.

    L'équipe RBS Change
  3. RBS Change 3.5.12 et 3.6.8 disponibles au téléchargement

    Écrit par RBS Change - 11/10/2013 10:50 - 3 commentaires

    Les versions correctives pour RBS Change 3.5 et 3.6 sont maintenant disponibles.
    Il s'agit de mises à jour mineures.

    Version 3.5.12 :
    Version 3.6.8 :
    • Corrections d'une liste de tickets
    • Amélioration du module Kiala. Gestion multi pays, intégration de Pack&Ship Desktop et web, mise à jour du Locate&Select, ...
    Vous trouverez deux installeurs web pour la version majeure courante (3.6.8) contenant :
    - Les modules open source minimum : RBS Change Core
    - Tous les modules open source : RBS Change complet - Open Source

    A noter : Les installeurs sont faits pour fonctionner avec 128 Mo de RAM. Cependant nous avons remarqué qu'en fonction des plateformes et de la configuration de PHP et/ou Apache, des erreurs de mémoires peuvent apparaître.

    Pour effectuer la mise à jour vers la version 3.6.8 depuis la version 3.6.7, vous disposez de 3 solutions :

    La première, recommandée, en passant par la ligne de commande ou la console web :
    - Exécuter la commande updater.migrate download : téléchargement des nouveaux packages et vérification du projet
    - Exécuter la commande updater.migrate apply : Mise à jour du projet

    La seconde en faisant une migration manuelle :
    - Télécharger la librairie de migration :
    Version 3.5.12 : http://update.rbschange.fr/libs/migration/migration-3.5.12.zip
    Version 3.6.8 : http://update.rbschange.fr/libs/migration/migration-3.6.8.zip
    - Décompresser dans le dossier migration à la racine du site
    - En vous plaçant à la racine du projet exécuter : php migration/migrate.php

    La dernière, déconseillée suite à la découverte d'un comportement aléatoire sur certains serveurs Apache, en utilisant l'interface backoffice du module Mise à jour.


    Rappel : avant toute mise à jour, il est impératif de faire une sauvegarde de votre système.

    En cas de problèmes ou de questions, merci d'utiliser les Forums.

    L'équipe RBS Change
  4. RBS Change 3.5.11 et 3.6.7 disponibles au téléchargement

    Écrit par RBS Change - 27/06/2013 17:38 - Aucun commentaire

    Les versions correctives pour RBS Change 3.5 et 3.6 sont maintenant disponibles.
    Il s'agit de mises à jour mineures.

    Version 3.5.11 :
    Version 3.6.7 :
    Vous trouverez deux installeurs web pour la version majeure courante (3.6.7) contenant :
    - Les modules open source minimum : RBS Change Core
    - Tous les modules open source : RBS Change complet - Open Source

    A noter : Les installeurs sont faits pour fonctionner avec 128 Mo de RAM. Cependant nous avons remarqué qu'en fonction des plateformes et de la configuration de PHP et/ou Apache, des erreurs de mémoires peuvent apparaître.

    Pour effectuer la mise à jour vers la version 3.6.7 depuis la version 3.6.6, vous disposez de 3 solutions :

    La première, recommandée, en passant par la ligne de commande ou la console web :
    - Exécuter la commande updater.migrate download : téléchargement des nouveaux packages et vérification du projet
    - Exécuter la commande updater.migrate apply : Mise à jour du projet

    La seconde en faisant une migration manuelle :
    - Télécharger la librairie de migration :
    Version 3.5.11 : http://update.rbschange.fr/libs/migration/migration-3.5.11.zip
    Version 3.6.7 : http://update.rbschange.fr/libs/migration/migration-3.6.7.zip
    - Décompresser dans le dossier migration à la racine du site
    - En vous plaçant à la racine du projet exécuter : php migration/migrate.php

    La dernière, déconseillée suite à la découverte d'un comportement aléatoire sur certains serveurs Apache, en utilisant l'interface backoffice du module Mise à jour.


    Rappel : avant toute mise à jour, il est impératif de faire une sauvegarde de votre système.

    En cas de problèmes ou de questions, merci d'utiliser les Forums.

    L'équipe RBS Change
  5. RBS Change 3.6.6 disponible au téléchargement

    Écrit par RBS Change - 22/05/2013 15:36 - 4 commentaires

    La version corrective pour RBS Change 3.6 est maintenant disponible.
    Il s'agit de mises à jour mineures complémentaires à la version 3.6.5 et devant être installées à la suite de cette dernière.

    Version 3.6.6 :
    Vous trouverez deux installeurs web pour la version majeure courante (3.6.6) contenant :
    - Les modules open source minimum : RBS Change Core
    - Tous les modules open source : RBS Change complet - Open Source

    A noter : Les installeurs sont faits pour fonctionner avec 128 Mo de RAM. Cependant nous avons remarqué qu'en fonction des plateformes et de la configuration de PHP et/ou Apache, des erreurs de mémoires peuvent apparaître.

    Pour effectuer la mise à jour vers la version 3.6.6 depuis la version 3.6.5, vous disposez de 3 solutions :

    La première, recommandée, en passant par la ligne de commande ou la console web :
    - Exécuter la commande updater.migrate download : téléchargement des nouveaux packages et vérification du projet
    - Exécuter la commande updater.migrate apply : Mise à jour du projet

    La seconde en faisant une migration manuelle :
    - Télécharger la librairie de migration :
    Version 3.6.6 : http://update.rbschange.fr/libs/migration/migration-3.6.6.zip
    - Décompresser dans le dossier migration à la racine du site
    - En vous plaçant à la racine du projet exécuter : php migration/migrate.php

    La dernière, déconseillée suite à la découverte d'un comportement aléatoire sur certains serveurs Apache, en utilisant l'interface backoffice du module Mise à jour.

    Important :
    Une fois la mise à jour terminée la variable de configuration modules/website/useBeanPopulateStrictMode est définie à false pour éviter tout potentiel problème avec vos développements spécifiques. Il faudra donc bien vérifier le fonctionnement des formulaires utilisant la mécanique de bean.
    Pour sécuriser vos sites vous devez repasser cette variable à true et vérifier votre fonctionnel spécifique.


    Rappel : avant toute mise à jour, il est impératif de faire une sauvegarde de votre système.

    En cas de problèmes ou de questions, merci d'utiliser les Forums.

    L'équipe RBS Change

 
1425 membres
Aucun membre connecté